// (c) Copyright 2013 Cloudera, Inc. All rights reserved.

define(["cloudera/impala/QuerySearchResults","cloudera/common/UrlParams","cloudera/Util","underscore"],function(e,t,n,r){describe("QuerySearchResults",function(){var t,i,s,o=function(e){var t={startTime:{millis:e+1e3},endTime:{millis:e+2e3},duration:{millis:e+3e3}};return e>=10&&(t.endTime=null),t};beforeEach(function(){s=$("<div></div>").appendTo(document.body),i={queriesContainer:s[0],executingQueriesUrl:"get/those/executing/queries",completedQueriesUrl:"get/those/completed/queries",cancelQueryUrl:"cancel/that/query",serviceName:"testServiceName",queryDetailsUrl:"i/want/some/details",orderingProperty:"ordering"},jasmine.Ajax.useMock(),t=new e(i)}),it("exposes the query it uses",function(){expect(t.query).toBeDefined()}),describe("canceling a query",function(){it("works at all",function(){t.cancelQuery({queryId:"catpants"});var e=mostRecentAjaxRequest();expect(e.url).toEqual(i.cancelQueryUrl)}),it("handles failure response from server",function(){spyOn($,"publish"),t.cancelQuery({queryId:"catpants"});var e=mostRecentAjaxRequest();e.response({status:500,responseText:""}),expect($.publish).wasCalled();var n=$.publish.argsForCall[0];expect(n[0]).toEqual("chartErrorsChanged"),expect(n[1][0]).toEqual("error")}),it("handles errors and warnings from the server",function(){spyOn($,"publish");var e=jasmine.createSpy("canceled");t.cancelQuery({queryId:"catpants"});var n=mostRecentAjaxRequest();n.response({status:200,responseText:JSON.stringify({errors:["error!"],warnings:["warning!"]})}),expect($.publish.callCount).toEqual(2);var r=$.publish.argsForCall[0];expect(r[0]).toEqual("chartWarningsChanged"),expect(r[1][0]).toEqual(["warning!"]),r=$.publish.argsForCall[1],expect(r[0]).toEqual("chartErrorsChanged"),expect(r[1][0]).toEqual(["error!"])}),it("clears out errors and warnings if none come back",function(){spyOn($,"publish"),t.cancelQuery({queryId:"catpants"});var e=mostRecentAjaxRequest();e.response({status:200,responseText:JSON.stringify({errors:[],warnings:[]})}),expect($.publish.callCount).toEqual(2);var n=$.publish.argsForCall[0];expect(n[0]).toEqual("chartWarningsChanged"),expect(n[1][0]).toEqual([]),n=$.publish.argsForCall[1],expect(n[0]).toEqual("chartErrorsChanged"),expect(n[1][0]).toEqual([])}),it("sets canceled to true if no errors or warnings",function(){var e=jasmine.createSpy("canceled");t.cancelQuery({queryId:"catpants",canceled:e});var n=mostRecentAjaxRequest();n.response({status:200,responseText:JSON.stringify({error:null,warning:null})}),expect(e).wasCalledWith(!0)})}),describe("viewDetails",function(){var e={queryId:"fakeQueryId",runtimeProfileAvailable:!1};beforeEach(function(){spyOn(n,"setWindowLocation")}),it("only works for queries that have a runtime profile available",function(){t.viewDetails(e),expect(n.setWindowLocation).wasNotCalled()}),it("navigates to view details page",function(){e.runtimeProfileAvailable=!0,t.viewDetails(e),expect(n.setWindowLocation).wasCalledWith("i/want/some/details?queryId=fakeQueryId")}),it("escapes queryId",function(){e.queryId="something that needs escaping",t.viewDetails(e),expect(n.setWindowLocation).wasCalledWith("i/want/some/details?queryId=something%20that%20needs%20escaping")})}),it("passes through setDates to query",function(){spyOn(t.query,"setDates"),t.setDates(new Date(1e3),new Date(2e3),!1),expect(t.query.setDates).wasCalledWith(new Date(1e3),new Date(2e3),!1)}),it("adds properties to individual queries",function(){var t=e.prepareData,n={queries:r.map(r.range(7,13),o)};t(n),r.each(n.queries,function(e,t){expect(e.startTimeMillis).toEqual(1007+t),t<3?expect(e.endTimeMillis).toEqual(2007+t):expect(e.endTime).toEqual(null),expect(e.durationMillis).toEqual(3007+t),expect(e.isRunning).toEqual(t>=3),expect(r.isFunction(e.viewDetails)).toBeTruthy()})}),it("adds cancel method with confirmation dialog to query",function(){spyOn(t,"cancelQuery");var n=e.prepareData,r={queries:[o(7)]};n(r);var i=r.queries[0];spyOn($,"publish"),i.cancel(),expect($.publish).wasCalled();var s=$.publish.mostRecentCall.args;expect(s[0]).toEqual("showConfirmation");var u=s[1];expect(u[0]).toEqual("ui.impala.confirmCancel"),u[1](),expect(t.cancelQuery).wasCalled()}),it("loads data by deferring to SearchResults",function(){spyOn(t.searchResults,"loadData"),t.loadData(!0),expect(t.searchResults.loadData).wasCalledWith(!0)}),it("provides feedback based on server response",function(){var e=null;runs(function(){spyOn($,"publish"),spyOn(t.query,"execute").andCallFake(function(t){e=t.success}),t.loadData(!0)}),waitsFor(function(){return e}),runs(function(){e({warnings:["catpants"],errors:["horsepoo"],queries:[]}),expect($.publish.callCount).toEqual(2);var t=$.publish.argsForCall[0];expect(t[0]).toEqual("chartWarningsChanged"),expect(t[1][0]).toEqual(["catpants"]),expect(t[1][1]).toEqual("impala-query-list"),t=$.publish.argsForCall[1],expect(t[0]).toEqual("chartErrorsChanged"),expect(t[1][0]).toEqual(["horsepoo"]),expect(t[1][1]).toEqual("impala-query-list")})}),describe("onSuccess",function(){beforeEach(function(){n.unsubscribe(t),i.onSuccess=jasmine.createSpy("onSuccess"),t=new e(i)}),it("calls onSuccess handler on success",function(){var e=null;runs(function(){spyOn(t.query,"execute").andCallFake(function(t){e=t.success}),t.loadData(!0)}),waitsFor(function(){return e}),runs(function(){e({warnings:[],errors:[],queries:[]}),expect(i.onSuccess).wasCalled()})}),it("does not call onSuccess if there were errors",function(){var e=null;runs(function(){spyOn(t.query,"execute").andCallFake(function(t){e=t.success}),t.loadData(!0)}),waitsFor(function(){return e}),runs(function(){e({warnings:[],errors:["error!"],queries:[]}),expect(i.onSuccess).wasNotCalled()})})})})})